Update JWT SP configuration
Updates an existing Service Provider (SP) configuration for a JWT client in the Tenant identified by the AppName, modifying settings such as endpoints, mapping, or other configuration details.
Updates an existing Service Provider (SP) configuration for a JWT client in the Tenant identified by the AppName, modifying settings such as endpoints, mapping, or other configuration details.
Authorization
M2MBearerToken M2M Token for authentication
In: header
Path Parameters
The jwt App identifier
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api.loginradius.com/v2/manage/custom-providers/jwt/1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef" \ -H "Content-Type: application/json" \ -d '{}'{
"Id": "507f1f77bcf86cd799439011",
"IsActive": true,
"AppId": 123,
"AppName": "MyApp",
"Algo": "HS256",
"Mapping": {
"key1": "value1",
"key2": "value2"
},
"Key": "my-secret-key",
"TokenQueryParameterName": "token",
"ClockSkew": 300,
"LoginUrl": "https://example.com/login",
"Issuer": {
"ExpectedValue": "issuer",
"MatchValue": true,
"IsMandatory": true
},
"Subject": {
"IsMandatory": true
},
"Audience": {
"ExpectedValues": [
"aud1",
"aud2"
],
"MatchValue": true,
"IsMandatory": true
},
"ExpirationTimeDifference": 3600,
"UseAuthorizationHeader": true,
"NotBefore": {
"IsMandatory": true
},
"Expiration": {
"IsMandatory": true
},
"JWKSUrl": "https://example.com/.well-known/jwks.json",
"UpdateEmailProfile": true,
"RaasUpdateFields": [
"field1",
"field2"
],
"Domain": "example.com",
"EnableAutoLookUp": true,
"Version": "v1",
"ListInInterface": true,
"CreatedDate": "2023-01-01T00:00:00Z",
"LastModifiedDate": "2023-01-02T00:00:00Z"
}{
"ErrorCode": 1079,
"Message": "Put body is invalid or empty",
"Description": "Please use a valid put body in JSON format in order to process this request."
}{
"Description": "JWT configuration not found or the resource does not exist.",
"ErrorCode": 7958,
"Message": "JWT configuration not found"
}{
"Message": "Domain name already exists",
"Description": "The entered domain name is already associated with a configuration. Please input a different domain name.",
"ErrorCode": 8038
}{
"Message": "Operation failed due to an internal error.",
"Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
"ErrorCode": 7909
}Delete JWT SP configuration DELETE
Deletes the Service Provider (SP) configuration for a JWT client in the Tenant identified by the AppName, permanently disabling the application's service provider integration.
List SAML SP Configurations GET
Retrieves a list of all Service Provider configurations for SAML clients within the Tenant, including details such as datamap, endpoints, and certificates.